usb_sg_cancel
Prev | Chapter 5. USB Core APIs | Next

## Name

usb_sg_cancel — stop scatter/gather i/o issued by `usb_sg_wait`

## Synopsis

`void usb_sg_cancel (` | struct usb_sg_request * | io`)`;

## Arguments

`io`

  request block, initialized with `usb_sg_init`

## Description

This stops a request after it has been started by `usb_sg_wait`. It can also prevents one initialized by `usb_sg_init` from starting, so that call just frees resources allocated to the request.

Prev | Up | Next
usb_sg_wait | Home | usb_get_descriptor